## vorbistag vorbistag — Retags vorbis streams |

## Synopsis

                        GstVorbisTag;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstVorbisParse
                         +----GstVorbisTag

## Implemented Interfaces

GstVorbisTag implements GstTagSetter.

## Description

The vorbistags element can change the tag contained within a raw vorbis stream. Specifically, it modifies the comments header packet of the vorbis stream.

The element will also process the stream as the vorbisparse element does so it can be used when remuxing an Ogg Vorbis stream, without additional elements.

Applications can set the tags to write using the GstTagSetter interface. Tags contained withing the vorbis bitstream will be picked up automatically (and merged according to the merge mode set via the tag setter interface).

### Example pipelines

    gst-launch -v filesrc location=foo.ogg ! oggdemux ! vorbistag ! oggmux ! filesink location=bar.ogg

This element is not useful with gst-launch, because it does not support setting the tags on a GstTagSetter interface. Conceptually, the element will usually be used in this order though.

## Synopsis

### Element Information

plugin | vorbis
author | James Livingston <doclivingston@gmail.com>
class | Formatter/Metadata

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-vorbis

name | src
direction | source
presence | always
details | audio/x-vorbis

## Synopsis

### Element Information

plugin | vorbis
author | James Livingston <doclivingston@gmail.com>
class | Formatter/Metadata

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-vorbis

name | src
direction | source
presence | always
details | audio/x-vorbis

## Details

### GstVorbisTag

    typedef struct _GstVorbisTag GstVorbisTag;

Opaque data structure.

## See Also

#oggdemux, oggmux, vorbisparse, GstTagSetter